<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>updateUser</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body onload="onPageLoading()">

    <div class="container jumbotron">
        <div class="text-center mb-4">
            <h3>Chi tiết User</h3>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label for="input-firstname">First Name</label>
            </div>
            <div class="col-sm-8">
                <input class="form-control" placeholder="Nhập Firstname ..." id="input-firstname" type="text" />
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label for="input-lastname">Last Name</label>
            </div>
            <div class="col-sm-8">
                <input class="form-control" placeholder="Nhập Last Name ..." id="input-lastname" type="text">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label for="input-subject">Subject</label>
            </div>
            <div class="col-sm-8">
                <input class="form-control" placeholder="Nhập Subject ..." id="input-subject" type="text">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label for="select-country">Country</label>
            </div>
            <div class="col-sm-8">
                <select class="form-control" id="select-country" name="Customertype">
                    <option value="VN">Việt Nam</option>
                    <option value="USA">USA</option>
                    <option value="AUS">Australia</option>
                    <option value="CAN">Canada</option>
                </select>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label for="select-customertype">Customer type</label>
            </div>
            <div class="col-sm-8">
                <select class="form-control" id="select-customertype" name="Customertype">
                    <option value="Standard">Standard</option>
                    <option value="Gold">Gold</option>
                    <option value="Premium">Premium</option>
                </select>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
                <label for="select-register-status">Register Status</label>
            </div>
            <div class="col-sm-8">
                <select class="form-control" id="select-register-status" name="registerStatus">
                    <option value="New">New</option>
                    <option value="Accepted">Accepted</option>
                    <option value="Denied">Denied</option>
                </select>
            </div>
        </div>
        <div class="row form-group">
            <div class="col-sm-4">
            </div>
            <div class="col-sm-8">
                <button type="button" class="btn btn-success w-25" id="btn-update-user">
                    Update user
                </button>
                <button type="button" class="btn btn-success w-25">Hủy bỏ</button>
            </div>
        </div>
    </div>

</body>

</html>
<script>
    "use strict";
    /* * REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /* * * REGION 2 - Vùng gần / thực thi sự kiện cho các elements */

    // /*** REGION 3 - Event handlers 
    // hàm được gọi khi load trang(F5) 
    function onPageLoading() {
        "use strict";
        /*Vùng khai báo các hàm xử lý sự kiện */
        // thu thập dữ liệu từ query string 
        var vUrlString = window.location.href;
        var vUrl = new URL(vUrlString);
        // get parameters
        var vId = vUrl.searchParams.get("id");
        console.log(vId);
        callAPIGetDataUserById(vId);
    }
    /* * * REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    // hàm lấy thông tin user theo id
    function callAPIGetDataUserById(paramUserId) {
        $.ajax({
            url: "http://203.171.20.210:8080/crud-api/users/" + paramUserId,
            type: "GET",
            dataType: "json",
            success: function (DataUserObj) {
                console.log(DataUserObj);
                // gọi hàm hiển thị thông tin user lên form 
                showDataUserToForm(DataUserObj);
            },
            error: function (ajaxContext) {
                alert(ajaxContext.responseText);
            },
        });
    }

    //Hàm xử lý load dữ liệu lên form 
    function showDataUserToForm(param) {
        "use strict";
        $("#input-firstname").val(param.firstname); $("#input-lastname").val(param.lastname);
        $("#select-country").val(param.country);

        $("#input-subject").val(param.subject);
        $("#select-customertype").val(param.customerType); $("#select-register-status").val(param.registerStatus);
    }
</script>